For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all existing project types.
      • POSTCreates a new project type.
      • GETRetrieves all available project type icons.
      • GETRetrieves a project type by its ID.
      • PUTUpdates an existing project type.
      • POSTDeletes a project type and reassigns related projects and templates.
      • POSTArchives or unarchives the project type with the specified id.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Types

Deletes a project type and reassigns related projects and templates.

POST
https://api.awork.com/api/v1/projecttypes/:projectTypeId/delete
POST
/api/v1/projecttypes/:projectTypeId/delete
$curl -X POST https://api.awork.com/api/v1/projecttypes/projectTypeId/delete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Archives or unarchives the project type with the specified id.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTypeIdstringRequiredformat: "uuid"
The id of the project type.

Request

The model to delete the project type.
projectTypeIdstring or nullOptionalformat: "uuid"
The id of the new project type.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error